DefaultJDOMFactory (JDOM v1.1.1)
Date: 2016-03-09

org.jdom

## Class DefaultJDOMFactory

- java.lang.Object
- - org.jdom.DefaultJDOMFactory

- All Implemented Interfaces:
    JDOMFactory

      public class DefaultJDOMFactory
      extends java.lang.Object
      implements JDOMFactory

  Creates the standard top-level JDOM classes (Element, Document, Comment, etc). A subclass of this factory might construct custom classes.
  Version:
    $Revision: 1.7 $, $Date: 2007/11/10 05:28:58 $
  Author:
    Ken Rune Holland, Phil Nelson, Bradley S. Huffman

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultJDOMFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addContent(Parent parent, Content child)`
    `void` | `addNamespaceDeclaration(Element parent, Namespace additional)`
    `Attribute` | `attribute(java.lang.String name, java.lang.String value)` This will create a new `Attribute` with the specified (local) name and value, and does not place the attribute in a ``Namespace``.
    `Attribute` | `attribute(java.lang.String name, java.lang.String value, int type)` This will create a new `Attribute` with the specified (local) name, value and type, and does not place the attribute in a ``Namespace``.
    `Attribute` | `attribute(java.lang.String name, java.lang.String value, int type, Namespace namespace)` This will create a new `Attribute` with the specified (local) name, value, and type, and in the provided ``Namespace``.
    `Attribute` | `attribute(java.lang.String name, java.lang.String value, Namespace namespace)` This will create a new `Attribute` with the specified (local) name and value, and in the provided ``Namespace``.
    `CDATA` | `cdata(java.lang.String text)` This creates the CDATA with the supplied text.
    `Comment` | `comment(java.lang.String text)` This creates the comment with the supplied text.
    `DocType` | `docType(java.lang.String elementName)` This will create the `DocType` with the specified element name
    `DocType` | `docType(java.lang.String elementName, java.lang.String systemID)` This will create the `DocType` with the specified element name and reference to an external DTD.
    `DocType` | `docType(java.lang.String elementName, java.lang.String publicID, java.lang.String systemID)` This will create the `DocType` with the specified element name and a reference to an external DTD.
    `Document` | `document(Element rootElement)` This will create a new `Document`, with the supplied ``Element`` as the root element, and no ``DocType`` declaration.
    `Document` | `document(Element rootElement, DocType docType)` This will create a new `Document`, with the supplied ``Element`` as the root element and the supplied ``DocType`` declaration.
    `Document` | `document(Element rootElement, DocType docType, java.lang.String baseURI)` This will create a new `Document`, with the supplied ``Element`` as the root element and the supplied ``DocType`` declaration.
    `Element` | `element(java.lang.String name)` This will create an `Element` in no ``Namespace``.
    `Element` | `element(java.lang.String name, Namespace namespace)` This will create a new `Element` with the supplied (local) name, and define the ``Namespace`` to be used.
    `Element` | `element(java.lang.String name, java.lang.String uri)` This will create a new `Element` with the supplied (local) name, and specifies the URI of the ``Namespace`` the `Element` should be in, resulting it being unprefixed (in the default namespace).
    `Element` | `element(java.lang.String name, java.lang.String prefix, java.lang.String uri)` This will create a new `Element` with the supplied (local) name, and specifies the prefix and URI of the ``Namespace`` the `Element` should be in.
    `EntityRef` | `entityRef(java.lang.String name)` This will create a new `EntityRef` with the supplied name.
    `EntityRef` | `entityRef(java.lang.String name, java.lang.String systemID)` This will create a new `EntityRef` with the supplied name and system ID.
    `EntityRef` | `entityRef(java.lang.String name, java.lang.String publicID, java.lang.String systemID)` This will create a new `EntityRef` with the supplied name, public ID, and system ID.
    `ProcessingInstruction` | `processingInstruction(java.lang.String target, java.util.Map data)` This will create a new `ProcessingInstruction` with the specified target and data.
    `ProcessingInstruction` | `processingInstruction(java.lang.String target, java.lang.String data)` This will create a new `ProcessingInstruction` with the specified target and data.
    `void` | `setAttribute(Element parent, Attribute a)`
    `Text` | `text(java.lang.String text)` This creates the Text with the supplied text.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultJDOMFactory

          public DefaultJDOMFactory()

  - ### Method Detail

    - #### attribute

          public Attribute attribute(java.lang.String name,
                            java.lang.String value,
                            Namespace namespace)

      Description copied from interface: `JDOMFactory`

      This will create a new `Attribute` with the specified (local) name and value, and in the provided ``Namespace``.

      Specified by:
        `attribute` in interface `JDOMFactory`
      Parameters:
        `name` - `String` name of `Attribute`.
        `value` - `String` value for new attribute.

    - #### attribute

          public Attribute attribute(java.lang.String name,
                            java.lang.String value,
                            int type,
                            Namespace namespace)

      Description copied from interface: `JDOMFactory`
      This will create a new `Attribute` with the specified (local) name, value, and type, and in the provided ``Namespace``.
      Specified by:
        `attribute` in interface `JDOMFactory`
      Parameters:
        `name` - `String` name of `Attribute`.
        `value` - `String` value for new attribute.
        `type` - `int` type for new attribute.
        `namespace` - `Namespace` namespace for new attribute.

    - #### attribute

          public Attribute attribute(java.lang.String name,
                            java.lang.String value)

      Description copied from interface: `JDOMFactory`
      This will create a new `Attribute` with the specified (local) name and value, and does not place the attribute in a ``Namespace``.

      Note: This actually explicitly puts the `Attribute` in the "empty" `Namespace` (``Namespace.NO_NAMESPACE``).

      Specified by:
        `attribute` in interface `JDOMFactory`
      Parameters:
        `name` - `String` name of `Attribute`.
        `value` - `String` value for new attribute.

    - #### attribute

          public Attribute attribute(java.lang.String name,
                            java.lang.String value,
                            int type)

      Description copied from interface: `JDOMFactory`
      This will create a new `Attribute` with the specified (local) name, value and type, and does not place the attribute in a ``Namespace``.

      Note: This actually explicitly puts the `Attribute` in the "empty" `Namespace` (``Namespace.NO_NAMESPACE``).

      Specified by:
        `attribute` in interface `JDOMFactory`
      Parameters:
        `name` - `String` name of `Attribute`.
        `value` - `String` value for new attribute.
        `type` - `int` type for new attribute.

    - #### cdata

          public CDATA cdata(java.lang.String text)

      Description copied from interface: `JDOMFactory`
      This creates the CDATA with the supplied text.
      Specified by:
        `cdata` in interface `JDOMFactory`
      Parameters:
        `text` - `String` content of CDATA.

    - #### text

          public Text text(java.lang.String text)

      Description copied from interface: `JDOMFactory`
      This creates the Text with the supplied text.
      Specified by:
        `text` in interface `JDOMFactory`
      Parameters:
        `text` - `String` content of Text.

    - #### comment

          public Comment comment(java.lang.String text)

      Description copied from interface: `JDOMFactory`
      This creates the comment with the supplied text.
      Specified by:
        `comment` in interface `JDOMFactory`
      Parameters:
        `text` - `String` content of comment.

    - #### docType

          public DocType docType(java.lang.String elementName,
                        java.lang.String publicID,
                        java.lang.String systemID)

      Description copied from interface: `JDOMFactory`
      This will create the `DocType` with the specified element name and a reference to an external DTD.
      Specified by:
        `docType` in interface `JDOMFactory`
      Parameters:
        `elementName` - `String` name of element being constrained.
        `publicID` - `String` public ID of referenced DTD
        `systemID` - `String` system ID of referenced DTD

    - #### docType

          public DocType docType(java.lang.String elementName,
                        java.lang.String systemID)

      Description copied from interface: `JDOMFactory`
      This will create the `DocType` with the specified element name and reference to an external DTD.
      Specified by:
        `docType` in interface `JDOMFactory`
      Parameters:
        `elementName` - `String` name of element being constrained.
        `systemID` - `String` system ID of referenced DTD

    - #### docType

          public DocType docType(java.lang.String elementName)

      Description copied from interface: `JDOMFactory`
      This will create the `DocType` with the specified element name
      Specified by:
        `docType` in interface `JDOMFactory`
      Parameters:
        `elementName` - `String` name of element being constrained.

    - #### document

          public Document document(Element rootElement,
                          DocType docType)

      Description copied from interface: `JDOMFactory`
      This will create a new `Document`, with the supplied ``Element`` as the root element and the supplied ``DocType`` declaration.
      Specified by:
        `document` in interface `JDOMFactory`
      Parameters:
        `rootElement` - `Element` for document root.
        `docType` - `DocType` declaration.

    - #### document

          public Document document(Element rootElement,
                          DocType docType,
                          java.lang.String baseURI)

      Description copied from interface: `JDOMFactory`
      This will create a new `Document`, with the supplied ``Element`` as the root element and the supplied ``DocType`` declaration.
      Specified by:
        `document` in interface `JDOMFactory`
      Parameters:
        `rootElement` - `Element` for document root.
        `docType` - `DocType` declaration.
        `baseURI` - the URI from which this doucment was loaded.

    - #### document

          public Document document(Element rootElement)

      Description copied from interface: `JDOMFactory`
      This will create a new `Document`, with the supplied ``Element`` as the root element, and no ``DocType`` declaration.
      Specified by:
        `document` in interface `JDOMFactory`
      Parameters:
        `rootElement` - `Element` for document root

    - #### element

          public Element element(java.lang.String name,
                        Namespace namespace)

      Description copied from interface: `JDOMFactory`
      This will create a new `Element` with the supplied (local) name, and define the ``Namespace`` to be used.
      Specified by:
        `element` in interface `JDOMFactory`
      Parameters:
        `name` - `String` name of element.
        `namespace` - `Namespace` to put element in.

    - #### element

          public Element element(java.lang.String name)

      Description copied from interface: `JDOMFactory`
      This will create an `Element` in no ``Namespace``.
      Specified by:
        `element` in interface `JDOMFactory`
      Parameters:
        `name` - `String` name of element.

    - #### element

          public Element element(java.lang.String name,
                        java.lang.String uri)

      Description copied from interface: `JDOMFactory`
      This will create a new `Element` with the supplied (local) name, and specifies the URI of the ``Namespace`` the `Element` should be in, resulting it being unprefixed (in the default namespace).
      Specified by:
        `element` in interface `JDOMFactory`
      Parameters:
        `name` - `String` name of element.
        `uri` - `String` URI for `Namespace` element should be in.

    - #### element

          public Element element(java.lang.String name,
                        java.lang.String prefix,
                        java.lang.String uri)

      Description copied from interface: `JDOMFactory`
      This will create a new `Element` with the supplied (local) name, and specifies the prefix and URI of the ``Namespace`` the `Element` should be in.
      Specified by:
        `element` in interface `JDOMFactory`
      Parameters:
        `name` - `String` name of element.
        `uri` - `String` URI for `Namespace` element should be in.

    - #### processingInstruction

          public ProcessingInstruction processingInstruction(java.lang.String target,
                                                    java.util.Map data)

      Description copied from interface: `JDOMFactory`
      This will create a new `ProcessingInstruction` with the specified target and data.
      Specified by:
        `processingInstruction` in interface `JDOMFactory`
      Parameters:
        `target` - `String` target of PI.
        `data` - `Map` data for PI, in name/value pairs

    - #### processingInstruction

          public ProcessingInstruction processingInstruction(java.lang.String target,
                                                    java.lang.String data)

      Description copied from interface: `JDOMFactory`
      This will create a new `ProcessingInstruction` with the specified target and data.
      Specified by:
        `processingInstruction` in interface `JDOMFactory`
      Parameters:
        `target` - `String` target of PI.
        `data` - `String` data for PI.

    - #### entityRef

          public EntityRef entityRef(java.lang.String name)

      Description copied from interface: `JDOMFactory`
      This will create a new `EntityRef` with the supplied name.
      Specified by:
        `entityRef` in interface `JDOMFactory`
      Parameters:
        `name` - `String` name of element.

    - #### entityRef

          public EntityRef entityRef(java.lang.String name,
                            java.lang.String publicID,
                            java.lang.String systemID)

      Description copied from interface: `JDOMFactory`
      This will create a new `EntityRef` with the supplied name, public ID, and system ID.
      Specified by:
        `entityRef` in interface `JDOMFactory`
      Parameters:
        `name` - `String` name of element.
        `publicID` - `String` public ID of element.
        `systemID` - `String` system ID of element.

    - #### entityRef

          public EntityRef entityRef(java.lang.String name,
                            java.lang.String systemID)

      Description copied from interface: `JDOMFactory`
      This will create a new `EntityRef` with the supplied name and system ID.
      Specified by:
        `entityRef` in interface `JDOMFactory`
      Parameters:
        `name` - `String` name of element.
        `systemID` - `String` system ID of element.

    - #### addContent

          public void addContent(Parent parent,
                        Content child)

      Specified by:
        `addContent` in interface `JDOMFactory`

    - #### setAttribute

          public void setAttribute(Element parent,
                          Attribute a)

      Specified by:
        `setAttribute` in interface `JDOMFactory`

    - #### addNamespaceDeclaration

          public void addNamespaceDeclaration(Element parent,
                                     Namespace additional)

      Specified by:
        `addNamespaceDeclaration` in interface `JDOMFactory`

Copyright ? 2007 Jason Hunter, Brett McLaughlin. All Rights Reserved.